# VectorNav C++ Library: vn::sensors::VpeBasicControlRegister Struct Reference

vn::sensors::VpeBasicControlRegister Struct Reference
Register Structures

Structure representing the VPE Basic Control register. More...

`#include <registers.h>`

## Public Member Functions

| VpeBasicControlRegister (protocol::uart::VpeEnable enableIn, protocol::uart::HeadingMode headingModeIn, protocol::uart::VpeMode filteringModeIn, protocol::uart::VpeMode tuningModeIn)
| Creates an initializes a new VpeBasicControlRegister structure. More...

## Public Attributes

protocol::uart::VpeEnable | enable
| The enable field.
protocol::uart::HeadingMode | headingMode
| The headingMode field.
protocol::uart::VpeMode | filteringMode
| The filteringMode field.
protocol::uart::VpeMode | tuningMode
| The tuningMode field.

## Detailed Description

Structure representing the VPE Basic Control register.

Examples:
  getting_started/main.cpp.

## Constructor & Destructor Documentation

vn::sensors::VpeBasicControlRegister::VpeBasicControlRegister | ( | protocol::uart::VpeEnable | enableIn,
|  | protocol::uart::HeadingMode | headingModeIn,
|  | protocol::uart::VpeMode | filteringModeIn,
|  | protocol::uart::VpeMode | tuningModeIn
| ) |  |

inline

Creates an initializes a new VpeBasicControlRegister structure.

Parameters

  [in] | enableIn | Value to initialize the enable field with.
  [in] | headingModeIn | Value to initialize the headingMode field with.
  [in] | filteringModeIn | Value to initialize the filteringMode field with.
  [in] | tuningModeIn | Value to initialize the tuningMode field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h